Bug 143214 - [MAINTAINER-UPDATE] sysutils/bacula-server upgrade to latest version
Summary: [MAINTAINER-UPDATE] sysutils/bacula-server upgrade to latest version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-25 17:30 UTC by Dan Langille
Modified: 2010-02-16 19:20 UTC (History)
1 user (show)

See Also:


Attachments
bacula5.0.0.diff (6.97 KB, patch)
2010-01-25 17:30 UTC, Dan Langille
no flags Details | Diff
bacula5.0.0.diff (7.96 KB, patch)
2010-01-26 14:07 UTC, Dan Langille
no flags Details | Diff
diff.updating (650 bytes, application/octet-stream)
2010-01-26 14:07 UTC, Dan Langille
no flags Details
bacula5.0.0.diff (9.23 KB, patch)
2010-02-03 16:35 UTC, Dan Langille
no flags Details | Diff
bacula5.0.0.diff (19.29 KB, patch)
2010-02-11 00:32 UTC, Dan Langille
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Langille 2010-01-25 17:30:07 UTC
Update to 5.0.0
NOTE: Catalog format has changed. Run the upgrade script
after installing.

Gnome console (long deprecatecd) has been removed.

See http://marc.info/?l=bacula-announce&m=126442597510303&w=2
Comment 1 Martin Wilke freebsd_committer 2010-01-25 18:06:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Andrei V. Lavreniyuk 2010-01-25 19:08:54 UTC
Hi!


FreeBSD datacenter.technica-03.local 8.0-STABLE FreeBSD 8.0-STABLE #0: 
Mon Jan 25 20:04:17 EET 2010 
root@datacenter.technica-03.local:/usr/obj/usr/src/sys/SMP64  amd64




######################

==>Entering directory 
/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/src/dird 
 
 

Compiling dird.c 
 
 

Compiling admin.c 
 
 

Compiling authenticate.c 
 
 

Compiling autoprune.c 
 
 

Compiling backup.c 
 
 

Compiling bsr.c 
 
 

Compiling catreq.c 
 
 

Compiling dir_plugins.c 
 
 

Compiling dird_conf.c 
 
 

Compiling expand.c 
 
 

Compiling fd_cmds.c 
 
 

Compiling getmsg.c 
 
 

Compiling inc_conf.c 
 
 

Compiling job.c 
 
 

Compiling jobq.c 
 
 

Compiling migrate.c 
 
 

Compiling mountreq.c 
 
 

Compiling msgchan.c 
 
 

Compiling next_vol.c 
 
 

Compiling newvol.c 
 
 

Compiling pythondir.c 
 
 

Compiling recycle.c 
 
 

Compiling restore.c 
 
 

Compiling run_conf.c 
 
 

Compiling scheduler.c 
 
 

Compiling ua_acl.c 
 
 

Compiling ua_cmds.c 
 
 

Compiling ua_dotcmds.c 
 
 

Compiling ua_query.c 
 
 

Compiling ua_input.c 
 
 

Compiling ua_label.c 
 
 

Compiling ua_output.c 
 
 

Compiling ua_prune.c 
 
 

Compiling ua_purge.c 
 
 

Compiling ua_restore.c 
 
 

Compiling ua_run.c 
 
 

Compiling ua_select.c 
 
 

Compiling ua_server.c 
 
 

Compiling ua_status.c 
 
 

Compiling ua_tree.c 
 
 

Compiling ua_update.c 
 
 

Compiling vbackup.c 
 
 

Compiling verify.c 
 
 

Linking bacula-dir ... 
 
 

/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/libtool --silent 
--tag=CXX --mode=link /usr/bin/c++  -L/usr/local/lib -L../lib -L../cats 
-L../findlib -o bacula-dir dird.o admin.o authenticate.o autoprune.o 
backup.o bsr.o catreq.o dir_plugins.o dird_conf.o expand.o fd_cmds.o 
getmsg.o inc_conf.o job.o jobq.o migrate.o mountreq.o msgchan.o 
next_vol.o newvol.o pythondir.o recycle.o restore.o run_conf.o 
scheduler.o ua_acl.o ua_cmds.o ua_dotcmds.o ua_query.o ua_input.o 
ua_label.o ua_output.o ua_prune.o ua_purge.o ua_restore.o ua_run.o 
ua_select.o ua_server.o ua_status.o ua_tree.o ua_update.o vbackup.o 
verify.o  -lbacfind -lbacsql -lbacpy -lbaccfg -lbac -lm 
-L/usr/local/lib -lpq -lcrypt -lpthread  -lintl  -lwrap 
/usr/local/lib/libintl.so /usr/local/lib/libiconv.so -Wl,-rpath 
-Wl,/usr/local/lib -lssl -lcrypto 
 
 
 

/usr/bin/ld: warning: libssl.so.6, needed by /usr/local/lib/libpq.so, 
may conflict with libssl.so.7 
 

/usr/bin/ld: warning: libcrypto.so.6, needed by /usr/local/lib/libpq.so, 
may conflict with libcrypto.so.7 
 

dird.o(.text+0x226): In function `check_catalog(cat_op)': 
 
 

: undefined reference to `db_check_max_connections(JCR*, B_DB*, unsigned 
int)' 
 

dird.o(.text+0xd51): In function `check_resources()': 
 
 

: undefined reference to `store_size32(s_lex_context*, RES_ITEM*, int, 
int)' 
 

dird.o(.text+0xd81): In function `check_resources()': 
 
 

: undefined reference to `store_size64(s_lex_context*, RES_ITEM*, int, 
int)' 
 

dird.o(.text+0x1dd1): In function `main': 
 
 

: undefined reference to `prt_kaboom' 
 
 

dird.o(.text+0x1fe4): In function `main': 
 
 

: undefined reference to `drop(char*, char*, bool)' 
 
 

dird.o(.text+0x20a6): In function `main': 
 
 

: undefined reference to `db_debug_print(JCR*, __sFILE*)' 
 
 

dird.o(.text+0x216f): In function `main': 
 
 

: undefined reference to `drop(char*, char*, bool)' 
 
 

backup.o(.text+0xaf6): In function `send_accurate_current_files(JCR*)': 
 
 

: undefined reference to `db_get_base_jobid(JCR*, B_DB*, JOB_DBR*, 
unsigned int*)' 
 

backup.o(.text+0xd04): In function `send_accurate_current_files(JCR*)': 
 
 

: undefined reference to `db_create_base_file_list(JCR*, B_DB*, char*)' 
 
 

backup.o(.text+0xd1b): In function `send_accurate_current_files(JCR*)': 
 
 

: undefined reference to `db_get_base_file_list(JCR*, B_DB*, int 
(*)(void*, int, char**), void*)' 
 

backup.o(.text+0x1f69): In function `do_backup(JCR*)': 
 
 

: undefined reference to `db_commit_base_file_attributes_record(JCR*, 
B_DB*)' 
 

bsr.o(.text+0x583): In function `write_bsr(UAContext*, RESTORE_CTX&, 
__sFILE*)':
: undefined reference to `get_next_jobid_from_list(char**, unsigned int*)'
bsr.o(.text+0xec7): In function `display_bsr_info(UAContext*, 
RESTORE_CTX&)':
: undefined reference to `get_next_jobid_from_list(char**, unsigned int*)'
catreq.o(.text+0x18f): In function `update_attribute(JCR*, char*, int)':
: undefined reference to `db_create_attributes_record(JCR*, B_DB*, 
ATTR_DBR*)'
catreq.o(.text+0x47f): In function `update_attribute(JCR*, char*, int)':
: undefined reference to `db_create_attributes_record(JCR*, B_DB*, 
ATTR_DBR*)'
dird_conf.o(.data+0x730): undefined reference to 
`store_size64(s_lex_context*, RES_ITEM*, int, int)'
dird_conf.o(.data+0x2320): undefined reference to 
`store_size64(s_lex_context*, RES_ITEM*, int, int)'
dird_conf.o(.data+0x23e8): undefined reference to 
`store_size64(s_lex_context*, RES_ITEM*, int, int)'
dird_conf.o(.data+0x2410): undefined reference to 
`store_size64(s_lex_context*, RES_ITEM*, int, int)'
migrate.o(.text+0x22bc): In function `do_migration_init(JCR*)':
: undefined reference to `get_next_jobid_from_list(char**, unsigned int*)'
migrate.o(.text+0x2e1e): In function `do_migration_init(JCR*)':
: undefined reference to `get_next_jobid_from_list(char**, unsigned int*)'
ua_dotcmds.o(.text+0x722): In function `dot_bvfs_lsfiles(UAContext*, 
char const*)':
: undefined reference to `Bvfs::Bvfs(JCR*, B_DB*)'
ua_dotcmds.o(.text+0x76c): In function `dot_bvfs_lsfiles(UAContext*, 
char const*)':
: undefined reference to `Bvfs::ls_files()'
ua_dotcmds.o(.text+0x774): In function `dot_bvfs_lsfiles(UAContext*, 
char const*)':
: undefined reference to `Bvfs::~Bvfs()'
ua_dotcmds.o(.text+0x790): In function `dot_bvfs_lsfiles(UAContext*, 
char const*)':
: undefined reference to `Bvfs::ch_dir(char const*)'
ua_dotcmds.o(.text+0x79d): In function `dot_bvfs_lsfiles(UAContext*, 
char const*)':
: undefined reference to `Bvfs::~Bvfs()'
ua_dotcmds.o(.text+0x946): In function `bvfs_result_handler(void*, int, 
char**)':
: undefined reference to `bvfs_basename_dir(char*)'
ua_dotcmds.o(.text+0x1192): In function `dot_bvfs_lsdirs(UAContext*, 
char const*)':
: undefined reference to `Bvfs::Bvfs(JCR*, B_DB*)'
ua_dotcmds.o(.text+0x11dc): In function `dot_bvfs_lsdirs(UAContext*, 
char const*)':
: undefined reference to `Bvfs::ls_special_dirs()'
ua_dotcmds.o(.text+0x11e4): In function `dot_bvfs_lsdirs(UAContext*, 
char const*)':
: undefined reference to `Bvfs::ls_dirs()'
ua_dotcmds.o(.text+0x11ec): In function `dot_bvfs_lsdirs(UAContext*, 
char const*)':
: undefined reference to `Bvfs::~Bvfs()'
ua_dotcmds.o(.text+0x1209): In function `dot_bvfs_lsdirs(UAContext*, 
char const*)':
: undefined reference to `Bvfs::ch_dir(char const*)'
ua_dotcmds.o(.text+0x1216): In function `dot_bvfs_lsdirs(UAContext*, 
char const*)':
: undefined reference to `Bvfs::~Bvfs()'
ua_dotcmds.o(.text+0x190f): In function `dot_bvfs_update(UAContext*, 
char const*)':
: undefined reference to `bvfs_update_cache(JCR*, B_DB*)'
ua_dotcmds.o(.text+0x194d): In function `dot_bvfs_update(UAContext*, 
char const*)':
: undefined reference to `bvfs_update_path_hierarchy_cache(JCR*, B_DB*, 
char*)'
ua_output.o(.text+0x14b0): In function `do_list_cmd(UAContext*, char 
const*, e_list_type)':
: undefined reference to `db_list_base_files_for_job(JCR*, B_DB*, 
unsigned int, void (*)(void*, char const*), void*)'
ua_restore.o(.text+0x18f3): In function 
`user_select_jobids_or_files(UAContext*, RESTORE_CTX*)':
: undefined reference to `get_next_jobid_from_list(char**, unsigned int*)'
ua_restore.o(.text+0x2bc0): In function `restore_cmd(UAContext*, char 
const*)':
: undefined reference to `db_get_used_base_jobids(JCR*, B_DB*, char*, 
db_list_ctx*)'
ua_restore.o(.text+0x2c01): In function `restore_cmd(UAContext*, char 
const*)':
: undefined reference to `uar_print_jobs'
ua_restore.o(.text+0x2cf0): In function `restore_cmd(UAContext*, char 
const*)':
: undefined reference to `get_next_jobid_from_list(char**, unsigned int*)'
ua_restore.o(.text+0x2e09): In function `restore_cmd(UAContext*, char 
const*)':
: undefined reference to `get_next_jobid_from_list(char**, unsigned int*)'
ua_update.o(.text+0x11ca): In function 
`update_vol_actiononpurge(UAContext*, char*, MEDIA_DBR*)':
: undefined reference to `aop_to_str(int, POOL_MEM&)'
ua_update.o(.text+0x1f44): In function `update_volume(UAContext*)':
: undefined reference to `aop_to_str(int, POOL_MEM&)'
*** Error code 1

Stop in /usr/ports/sysutils/bacula-server/work/bacula-5.0.0/src/dird.


   ====== Error in 
/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/src/dird ======


*** Error code 1

Stop in /usr/ports/sysutils/bacula-server/work/bacula-5.0.0.
*** Error code 1

Stop in /usr/ports/sysutils/bacula-server.
*** Error code 1

Stop in /usr/ports/sysutils/bacula-server.

#####################################


-- 
  Best regards, Andrei V. Lavreniyuk.
Comment 3 Dan Langille 2010-01-25 20:43:20 UTC
What version of PostgreSQL are you using?
Comment 4 Dan Langille 2010-01-25 20:45:11 UTC
OH, and do you have any existing Bacula ports/packages on this system?

I'm guessing: shared libraries.
Comment 5 Dan Langille 2010-01-25 20:54:19 UTC
On Mon, January 25, 2010 2:08 pm, Andrei V. Lavreniyuk wrote:

> /usr/bin/ld: warning: libssl.so.6, needed by /usr/local/lib/libpq.so,
> may conflict with libssl.so.7
>

Wondering if this is an openseel port

>
> /usr/bin/ld: warning: libcrypto.so.6, needed by /usr/local/lib/libpq.so,
> may conflict with libcrypto.so.7

No idea what may have caused this.  Are you installed ports up to date?

I ask because I just tried a make here and it did not encounter these errors:

FreeBSD building.example.org 8.0-STABLE FreeBSD 8.0-STABLE #1: Fri Dec 18
02:04:40 EST 2009     dan@polo.example.org:/usr/obj/usr/src/sys/PHENOM



>
>
> dird.o(.text+0x226): In function `check_catalog(cat_op)':
>
>
>
> : undefined reference to `db_check_max_connections(JCR*, B_DB*, unsigned
> int)'

This makes me think there are other errors higher up.  If you find them,
please let me know.

Thank you.


-- 
Dan Langille -- http://langille.org/
Comment 6 Andrei V. Lavreniyuk 2010-01-26 10:40:08 UTC
Hi!


 > What version of PostgreSQL are you using?


# pkg_info -E postg\*
postgresql-client-8.4.2_1
postgresql-contrib-8.4.2_2
postgresql-server-8.4.2_1


 > OH, and do you have any existing Bacula ports/packages on this system?


# pkg_info -E bacul\*
bacula-client-3.0.3
bacula-docs-3.0.3
bacula-server-3.0.3


 > Wondering if this is an openseel port


# pkg_info -E openssl\*
openssl-0.9.8l_4


 > No idea what may have caused this. Are you installed ports up to date?

Yes.



Full comlile log:


/usr/ports/sysutils/bacula-server# make
You may use the following build options (or make config): 


   WITH_CLIENT_ONLY=yes  if you only want the file daemon.
   WITH_WXCONSOLE=yes    if you only want a wxGTK based GUI console.
   WITH_MTX=yes          if you want to use mtx instead of chio for 
autochanger control.
   WITH_SQLITE3=yes      if you want SqLite-3 instead of SqLite-2 as the 
database.
   WITH_SFDAEMON=yes  if you want staticly compiled file daemon 
(client).
   WITH_OPENSSL=yes      Enable OpenSSL for encrypted communication. 


===> Using postgresql as the bacula database.

===>  Vulnerability check disabled, database not found
===>  Found saved configuration for bacula-server-3.0.2
===>  Extracting for bacula-server-5.0.0
=> MD5 Checksum OK for bacula-5.0.0.tar.gz.
=> SHA256 Checksum OK for bacula-5.0.0.tar.gz.
===>  Patching for bacula-server-5.0.0
===>   bacula-server-5.0.0 depends on shared library: intl - found
===>   bacula-server-5.0.0 depends on shared library: pq.5 - found
===>  Configuring for bacula-server-5.0.0
checking for true... /usr/bin/true
checking for false... /usr/bin/false
configuring for Bacula 5.0.0 (26 January 2010)
checking for gcc... cc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ISO C89... none needed
checking whether we are using the GNU C++ compiler... yes
checking whether c++ accepts -g... yes
checking whether cc understands -c and -o together... yes
checking how to run the C preprocessor... cc -E
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking whether cc needs -traditional... no
checking for c++... /usr/bin/c++
checking for a BSD-compatible install... /usr/bin/install -c -o root -g 
wheel
checking for mv... /bin/mv 

checking for rm... /bin/rm 

checking for cp... /bin/cp 

checking for sed... /usr/bin/sed 

checking for echo... /bin/echo 

checking for cmp... /usr/bin/cmp 

checking for tbl... /usr/bin/tbl 

checking for ar... /usr/bin/ar 

checking for openssl... /usr/local/bin/openssl 

checking for mtx... mtx 

checking for dd... /bin/dd 

checking for mkisofs... /usr/local/bin/mkisofs 

checking for python... /usr/local/bin/python 

checking for growisofs... growisofs 

checking for dvd+rw-mediainfo... dvd+rw-mediainfo 

checking for dvd+rw-format... dvd+rw-format 

checking for pkg-config... /usr/local/bin/pkg-config 

checking for qmake... /usr/local/bin/qmake 

checking for qmake-qt4... /usr/local/bin/qmake-qt4 

checking for gmake... /usr/local/bin/gmake 

checking for wx-config... wx-config 

checking for cdrecord... /usr/local/bin/cdrecord 

checking for pidof... pidof 

checking for gawk... gawk 

checking for gawk... /usr/local/bin/gawk 

checking build system type... amd64-portbld-freebsd8.0 

checking host system type... amd64-portbld-freebsd8.0 

checking for a sed that does not truncate output... (cached) 
/usr/bin/sed
checking for fgrep... /usr/bin/grep -F 

checking for ld used by cc... /usr/bin/ld 

checking if the linker (/usr/bin/ld) is GNU ld... yes 

checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B 

checking the name lister (/usr/bin/nm -B) interface... BSD nm 

checking whether ln -s works... yes 

checking the maximum length of command line arguments... (cached) 262144 

checking whether the shell understands some XSI constructs... yes 

checking whether the shell understands "+="... no 

checking for /usr/bin/ld option to reload object files... -r 

checking for objdump... objdump 

checking how to recognize dependent libraries... pass_all 

checking for ar... /usr/bin/ar 

checking for strip... strip 

checking for ranlib... ranlib 

checking command to parse /usr/bin/nm -B output from cc object... ok 

checking for ANSI C header files... yes 

checking for sys/types.h... yes 

checking for sys/stat.h... yes 

checking for stdlib.h... yes 

checking for string.h... yes 

checking for memory.h... yes 

checking for strings.h... yes 

checking for inttypes.h... yes 

checking for stdint.h... yes 

checking for unistd.h... yes 

checking for dlfcn.h... yes 

checking whether we are using the GNU C++ compiler... (cached) yes 

checking whether /usr/bin/c++ accepts -g... (cached) yes 

checking how to run the C++ preprocessor... /usr/bin/c++ -E 

checking for objdir... .libs 

checking if cc supports -fno-rtti -fno-exceptions... no 

checking for cc option to produce PIC... -fPIC -DPIC 

checking if cc PIC flag -fPIC -DPIC works... yes 

checking if cc static flag -static works... yes 

checking if cc supports -c -o file.o... yes 

checking if cc supports -c -o file.o... (cached) yes 

checking whether the cc linker (/usr/bin/ld) supports shared 
libraries... yes
checking whether -lc should be explicitly linked in... no 

checking dynamic linker characteristics... freebsd8.0 ld.so 

checking how to hardcode library paths into programs... immediate 

checking whether stripping libraries is possible... yes 

checking if libtool supports shared libraries... yes 

checking whether to build shared libraries... yes 

checking whether to build static libraries... no 

checking for ld used by /usr/bin/c++... /usr/bin/ld 

checking if the linker (/usr/bin/ld) is GNU ld... yes 

checking whether the /usr/bin/c++ linker (/usr/bin/ld) supports shared 
libraries... yes
checking for /usr/bin/c++ option to produce PIC... -fPIC -DPIC 

checking if /usr/bin/c++ PIC flag -fPIC -DPIC works... yes 

checking if /usr/bin/c++ static flag -static works... yes 

checking if /usr/bin/c++ supports -c -o file.o... yes 

checking if /usr/bin/c++ supports -c -o file.o... (cached) yes 

checking whether the /usr/bin/c++ linker (/usr/bin/ld) supports shared 
libraries... yes
checking dynamic linker characteristics... freebsd8.0 ld.so 

checking how to hardcode library paths into programs... immediate 

checking for Operating System Distribution... done 

checking whether make sets $(MAKE)... yes 

checking whether NLS is requested... yes 

checking for msgfmt... /usr/local/bin/msgfmt 

checking for gmsgfmt... /usr/local/bin/msgfmt 

checking for xgettext... /usr/local/bin/xgettext 

checking for msgmerge... /usr/local/bin/msgmerge 

checking for ld used by GCC... /usr/bin/ld 

checking if the linker (/usr/bin/ld) is GNU ld... yes 

checking for shared library run path origin... done 

checking for CFPreferencesCopyAppValue... no 

checking for CFLocaleCopyCurrent... no 

checking whether NLS is requested... yes 

checking for GNU gettext in libc... no 

checking for iconv... yes 

checking how to link with libiconv... /usr/local/lib/libiconv.so 
-Wl,-rpath -Wl,/usr/local/lib
checking for GNU gettext in libintl... yes 

checking whether to use NLS... yes 

checking where the gettext function comes from... external libintl 

checking how to link with libintl... /usr/local/lib/libintl.so 
/usr/local/lib/libiconv.so -Wl,-rpath -Wl,/usr/local/lib
checking for msgfmt... (cached) /usr/local/bin/msgfmt 

checking /usr/include/readline/readline.h usability... yes 

checking /usr/include/readline/readline.h presence... yes 

checking for /usr/include/readline/readline.h... yes 

checking whether stat file-mode macros are broken... no 

checking for dirent.h that defines DIR... yes 

checking for library containing opendir... none required 

checking for strcasecmp... yes 

checking for select... yes 

checking for setenv... yes 

checking for putenv... yes 

checking for tcgetattr... yes 

checking for lstat... yes 

checking for lchown... yes 

checking for nanosleep... yes 

checking for nl_langinfo... yes 

checking varargs.h usability... no 

checking varargs.h presence... no 

checking for varargs.h... no 

checking for Python support... no 

checking for socket... yes 

using libc's socket 

checking for library containing nanosleep... none required 

checking for libwrap... yes 

checking for OpenSSL... yes 

checking for library containing dlopen... none required 

checking for PostgreSQL support... checking for crypt... no 

checking for crypt in -lcrypt... yes 

yes 

checking for MySQL support... checking for Ingres support... no 

checking for SQLite3 support... no 

checking for DBI support... no 

checking for DBI drivers support... no 

checking for PQisthreadsafe in -lpq... yes 

checking for PQputCopyData in -lpq... yes 

checking for getconf... getconf 

checking for CFLAGS value to request large file support... no 

checking for LDFLAGS value to request large file support... no 

checking for LIBS value to request large file support... no 

checking for _FILE_OFFSET_BITS... 64 

checking for _LARGEFILE_SOURCE... 1 

checking for _LARGE_FILES... 1 

checking for X... libraries /usr/local/lib, headers /usr/local/include 

checking whether -R must be followed by a space... no 

checking for gethostbyname... yes 

checking for connect... yes 

checking for remove... yes 

checking for shmat... yes 

checking for IceConnectionNumber in -lICE... yes 

checking assert.h usability... yes 

checking assert.h presence... yes 

checking for assert.h... yes 

checking fcntl.h usability... yes 

checking fcntl.h presence... yes 

checking for fcntl.h... yes 

checking grp.h usability... yes 

checking grp.h presence... yes 

checking for grp.h... yes 

checking pwd.h usability... yes 

checking pwd.h presence... yes 

checking for pwd.h... yes 

checking libc.h usability... no 

checking libc.h presence... no 

checking for libc.h... no 

checking limits.h usability... yes 

checking limits.h presence... yes 

checking for limits.h... yes 

checking stdarg.h usability... yes 

checking stdarg.h presence... yes 

checking for stdarg.h... yes 

checking for stdlib.h... (cached) yes 

checking for stdint.h... (cached) yes 

checking for string.h... (cached) yes 

checking for strings.h... (cached) yes 

checking termios.h usability... yes 

checking termios.h presence... yes 

checking for termios.h... yes 

checking termcap.h usability... yes 

checking termcap.h presence... yes 

checking for termcap.h... yes 

checking term.h usability... yes 

checking term.h presence... yes 

checking for term.h... yes 

checking for unistd.h... (cached) yes 

checking sys/bitypes.h usability... no 

checking sys/bitypes.h presence... no 

checking for sys/bitypes.h... no 

checking sys/byteorder.h usability... no 

checking sys/byteorder.h presence... no 

checking for sys/byteorder.h... no 

checking sys/ioctl.h usability... yes 

checking sys/ioctl.h presence... yes 

checking for sys/ioctl.h... yes 

checking sys/select.h usability... yes 

checking sys/select.h presence... yes 

checking for sys/select.h... yes 

checking sys/socket.h usability... yes 

checking sys/socket.h presence... yes 

checking for sys/socket.h... yes 

checking sys/sockio.h usability... yes 

checking sys/sockio.h presence... yes 

checking for sys/sockio.h... yes 

checking for sys/stat.h... (cached) yes 

checking sys/time.h usability... yes 

checking sys/time.h presence... yes 

checking for sys/time.h... yes 

checking for sys/types.h... (cached) yes 

checking arpa/nameser.h usability... yes 

checking arpa/nameser.h presence... yes 

checking for arpa/nameser.h... yes 

checking mtio.h usability... no 

checking mtio.h presence... no 

checking for mtio.h... no 

checking sys/mtio.h usability... yes 

checking sys/mtio.h presence... yes 

checking for sys/mtio.h... yes 

checking sys/tape.h usability... no 

checking sys/tape.h presence... no 

checking for sys/tape.h... no 

checking regex.h usability... yes 

checking regex.h presence... yes 

checking for regex.h... yes 

checking for ANSI C header files... (cached) yes 

checking whether sys/types.h defines makedev... yes 

checking for dirent.h that defines DIR... (cached) yes 

checking for library containing opendir... (cached) none required 

checking whether stat file-mode macros are broken... (cached) no 

checking for sys/wait.h that is POSIX.1 compatible... yes 

checking whether time.h and sys/time.h may both be included... yes 

checking for struct stat.st_blksize... yes 

checking for struct stat.st_blocks... yes 

checking whether struct tm is in sys/time.h or time.h... time.h 

checking for struct tm.tm_zone... yes 

checking for utime.h... yes 

checking for socklen_t... yes 

checking for ioctl_req_t... yes 

checking for typeof... yes 

checking for an ANSI C-conforming const... yes 

checking how to get filesystem type... 4.4BSD/OSF1 

checking sys/statvfs.h usability... yes 

checking sys/statvfs.h presence... yes 

checking for sys/statvfs.h... yes 

checking return type of signal handlers... void 

checking for type of signal functions... posix 

checking for mode_t... yes 

checking for uid_t in sys/types.h... yes 

checking for size_t... yes 

checking for pid_t... yes 

checking for off_t... yes 

checking for intptr_t... yes 

checking for uintptr_t... yes 

checking for ino_t... yes 

checking for dev_t... yes 

checking for daddr_t... yes 

checking for major_t... no 

checking for minor_t... no 

checking for ssize_t... yes 

checking for struct stat.st_blocks... (cached) yes 

checking for struct stat.st_rdev... yes 

checking whether struct tm is in sys/time.h or time.h... (cached) time.h 

checking for an ANSI C-conforming const... (cached) yes 

checking size of char... 1 

checking size of short int... 2 

checking size of int... 4 

checking size of long int... 8 

checking size of long long int... 8 

checking size of int *... 8 

checking for u_int type... yes 

checking for intmax_t type... yes 

checking for u_intmax_t type... no 

checking for intXX_t types... yes 

checking for int64_t type... yes 

checking for u_intXX_t types... yes 

checking for u_int64_t types... yes 

checking for fork... yes 

checking for getcwd... yes 

checking for gethostname... yes 

checking for getpid... yes 

checking for gettimeofday... yes 

checking for setpgid... yes 

checking for setpgrp... yes 

checking for setsid... yes 

checking for signal... yes 

checking for strerror... yes 

checking for strncmp... yes 

checking for strncpy... yes 

checking for vfprintf... yes 

checking for fchdir... yes 

checking for strtoll... yes 

checking for posix_fadvise... no 

checking for fdatasync... no 

checking for chflags... yes 

checking for snprintf... yes 

checking for vsnprintf... yes 

checking for gethostid... yes 

checking for fseeko... yes 

checking for va_copy... yes, 

checking for localtime_r... yes 

checking for readdir_r... yes 

checking for strerror_r... yes 

checking for gethostbyname_r... yes 

checking for gethostbyname_r... (cached) yes 

using libc's resolver 

checking for inet_pton... yes 

checking for inet_ntop... yes 

checking for gethostbyname2... yes 

checking for struct sockaddr has a sa_len field... yes 

checking for strftime... yes 

checking for vprintf... yes 

checking for _doprnt... no 

checking for working alloca.h... no 

checking for alloca... yes 

checking for library containing getmntent... no 

checking whether closedir returns void... no 

checking whether setpgrp takes no argument... no 

checking for gettext in -lintl... yes 

checking for getpwnam in -lsun... no 

checking zlib.h usability... yes 

checking zlib.h presence... yes 

checking for zlib.h... yes 

checking for deflate in -lz... yes 

checking sys/acl.h usability... yes 

checking sys/acl.h presence... yes 

checking for sys/acl.h... yes 

checking for acl_get_file... yes 

checking sys/extattr.h usability... yes 

checking sys/extattr.h presence... yes 

checking for sys/extattr.h... yes 

checking libutil.h usability... yes 

checking libutil.h presence... yes 

checking for libutil.h... yes 

checking for extattr_get_link... yes 

checking for extattr_set_link... yes 

checking for extattr_list_link... yes 

checking for extattr_namespace_to_string... yes 

checking for extattr_string_to_namespace... yes 

checking for pthread_create in -lpthread... yes 

checking sys/prctl.h usability... no 

checking sys/prctl.h presence... no 

checking for sys/prctl.h... no 

checking sys/capability.h usability... no 

checking sys/capability.h presence... no 

checking for sys/capability.h... no 

checking for prctl... no 

checking for setreuid... yes 

checking for cap_set_proc in -lcap... no 

configure: creating ./config.status 

config.status: creating autoconf/Make.common 

config.status: creating Makefile 

config.status: creating manpages/Makefile 

config.status: creating scripts/startmysql 

config.status: creating scripts/stopmysql 

config.status: creating scripts/btraceback 

config.status: creating scripts/startit 

config.status: creating scripts/stopit 

config.status: creating scripts/bconsole 

config.status: creating scripts/gconsole 

config.status: creating scripts/bacula 

config.status: creating scripts/bacula-ctl-dir 

config.status: creating scripts/bacula-ctl-fd 

config.status: creating scripts/bacula-ctl-sd 

config.status: creating scripts/devel_bacula 

config.status: creating scripts/Makefile 

config.status: creating scripts/logrotate 

config.status: creating scripts/bacula.desktop.gnome1 

config.status: creating scripts/bacula.desktop.gnome2 

config.status: creating scripts/bacula.desktop.gnome1.consolehelper 

config.status: creating scripts/bacula.desktop.gnome2.consolehelper 

config.status: creating scripts/bacula.desktop.gnome1.xsu 

config.status: creating scripts/bacula.desktop.gnome2.xsu 

config.status: creating scripts/bgnome-console.console_apps 

config.status: creating scripts/mtx-changer 

config.status: creating scripts/disk-changer 

config.status: creating scripts/dvd-handler 

config.status: creating scripts/dvd-simulator 

config.status: creating scripts/bacula-tray-monitor.desktop 

config.status: creating scripts/logwatch/Makefile 

config.status: creating scripts/logwatch/logfile.bacula.conf 

config.status: creating scripts/wxconsole.console_apps 

config.status: creating scripts/wxconsole.desktop.consolehelper 

config.status: creating scripts/wxconsole.desktop.xsu 

config.status: creating scripts/bat.desktop 

config.status: creating scripts/bat.desktop.xsu 

config.status: creating scripts/bat.desktop.consolehelper 

config.status: creating scripts/bat.console_apps 

config.status: creating src/Makefile 

config.status: creating src/host.h 

config.status: creating src/console/Makefile 

config.status: creating src/console/bconsole.conf 

config.status: creating src/qt-console/bat.conf 

config.status: creating src/qt-console/bat.pro 

config.status: creating src/qt-console/bat.pro.mingw32 

config.status: creating src/qt-console/install_conf_file 

config.status: creating src/wx-console/Makefile 

config.status: creating src/wx-console/bwx-console.conf 

config.status: creating src/tray-monitor/Makefile 

config.status: creating src/tray-monitor/tray-monitor.conf 

config.status: creating src/dird/Makefile 

config.status: creating src/dird/bacula-dir.conf 

config.status: creating src/lib/Makefile 

config.status: creating src/stored/Makefile 

config.status: creating src/stored/bacula-sd.conf 

config.status: creating src/filed/Makefile 

config.status: creating src/filed/bacula-fd.conf 

config.status: creating src/cats/Makefile 

config.status: creating src/cats/make_catalog_backup.pl 

config.status: creating src/cats/make_catalog_backup 

config.status: creating src/cats/delete_catalog_backup 

config.status: creating src/cats/create_postgresql_database 

config.status: creating src/cats/update_postgresql_tables 

config.status: creating src/cats/make_postgresql_tables 

config.status: creating src/cats/grant_postgresql_privileges 

config.status: creating src/cats/drop_postgresql_tables 

config.status: creating src/cats/drop_postgresql_database 

config.status: creating src/cats/create_mysql_database 

config.status: creating src/cats/update_mysql_tables 

config.status: creating src/cats/make_mysql_tables 

config.status: creating src/cats/grant_mysql_privileges 

config.status: creating src/cats/drop_mysql_tables 

config.status: creating src/cats/drop_mysql_database 

config.status: creating src/cats/create_sqlite3_database 

config.status: creating src/cats/update_sqlite3_tables 

config.status: creating src/cats/make_sqlite3_tables 

config.status: creating src/cats/grant_sqlite3_privileges 

config.status: creating src/cats/drop_sqlite3_tables 

config.status: creating src/cats/drop_sqlite3_database 

config.status: creating src/cats/create_ingres_database 

config.status: creating src/cats/update_ingres_tables 

config.status: creating src/cats/make_ingres_tables 

config.status: creating src/cats/grant_ingres_privileges 

config.status: creating src/cats/drop_ingres_tables 

config.status: creating src/cats/drop_ingres_database 

config.status: creating src/cats/sqlite 

config.status: creating src/cats/mysql 

config.status: creating src/cats/create_bdb_database 

config.status: creating src/cats/update_bdb_tables 

config.status: creating src/cats/make_bdb_tables 

config.status: creating src/cats/grant_bdb_privileges 

config.status: creating src/cats/drop_bdb_tables 

config.status: creating src/cats/drop_bdb_database 

config.status: creating src/cats/create_bacula_database 

config.status: creating src/cats/update_bacula_tables 

config.status: creating src/cats/grant_bacula_privileges 

config.status: creating src/cats/make_bacula_tables 

config.status: creating src/cats/drop_bacula_tables 

config.status: creating src/cats/drop_bacula_database 

config.status: creating src/findlib/Makefile 

config.status: creating src/tools/Makefile 

config.status: creating src/plugins/fd/Makefile 

config.status: creating src/plugins/sd/Makefile 

config.status: creating src/plugins/dir/Makefile 

config.status: creating src/win32/Makefile.inc 

config.status: creating po/Makefile.in 

config.status: creating updatedb/update_mysql_tables_9_to_10 

config.status: creating updatedb/update_sqlite3_tables_9_to_10 

config.status: creating updatedb/update_postgresql_tables_9_to_10 

config.status: creating updatedb/update_mysql_tables_10_to_11 

config.status: creating updatedb/update_sqlite3_tables_10_to_11 

config.status: creating updatedb/update_postgresql_tables_10_to_11 

config.status: creating examples/nagios/check_bacula/Makefile 

config.status: creating platforms/Makefile 

config.status: creating platforms/freebsd/Makefile 

config.status: creating platforms/freebsd/bacula-fd 

config.status: creating platforms/freebsd/bacula-sd 

config.status: creating platforms/freebsd/bacula-dir 

config.status: creating src/config.h 

config.status: executing libtool commands 

config.status: executing default-1 commands 

config.status: creating po/POTFILES 

config.status: creating po/Makefile 

config.status: executing default commands 

Doing make of dependencies 

==>Entering directory 
/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/src 

==>Entering directory 
/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/scripts 

==>Entering directory 
/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/src/lib 

==>Entering directory 
/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/src/findlib 

==>Entering directory 
/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/src/plugins/fd 

==>Entering directory 
/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/src/cats 

==>Entering directory 
/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/src/dird 

==>Entering directory 
/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/src/stored 

==>Entering directory 
/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/src/tools 

==>Entering directory 
/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/manpages 

chmod: make_catalog_backup.pl: No such file or directory 

 

Cleaning up 

 

==>Entering directory 
/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/src 

==>Entering directory 
/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/scripts 

==>Entering directory 
/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/src/lib 

==>Entering directory 
/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/src/findlib 

==>Entering directory 
/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/src/plugins/fd 

==>Entering directory 
/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/src/cats 

==>Entering directory 
/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/src/dird 

==>Entering directory 
/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/src/stored 

==>Entering directory 
/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/src/tools 

==>Entering directory 
/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/manpages 

==>Entering directory 
/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/platforms 


Configuration on Tue Jan 26 12:38:08 EET 2010:

    Host:                    amd64-portbld-freebsd8.0 -- freebsd 8.0-STABLE
    Bacula version:          Bacula 5.0.0 (26 January 2010)
    Source code location:    .
    Install binaries:        /usr/local/sbin
    Install libraries:       /usr/local/lib
    Install config files:    /usr/local/etc
    Scripts directory:       /usr/local/share/bacula
    Archive directory:       /tmp
    Working directory:       /var/db/bacula
    PID directory:           /var/run
    Subsys directory:        /var/run/subsys
    Man directory:           /usr/local/man
    Data directory:          /usr/local/share
    Plugin directory:        /usr/local/lib
    C Compiler:              cc 4.2.1
    C++ Compiler:            /usr/bin/c++ 4.2.1
    Compiler flags:           -O2 -pipe -O2 -D_FORTIFY_SOURCE=2 -pipe 
-march=native -mtune=native -fno-delete-null-pointer-checks 
-fstack-protector -fno-strict-aliasing -Wformat -Wformat-security -s
    Linker flags:              -L/usr/local/lib 
 

    Libraries:               -lpthread  -lintl 
 

    Statically Linked Tools: no 
 

    Statically Linked FD:    no 
 

    Statically Linked SD:    no 
 

    Statically Linked DIR:   no 
 

    Statically Linked CONS:  no 
 

    Database type:           PostgreSQL 
 

    Database port: 
 

    Database lib:            -L/usr/local/lib -lpq -lcrypt 
 

    Database name:           bacula 
 

    Database user:           bacula 
 


    Job Output Email:        root@localhost
    Traceback Email:         root@localhost
    SMTP Host Address:       localhost

    Director Port:           9101
    File daemon Port:        9102
    Storage daemon Port:     9103

    Director User:           bacula
    Director Group:          bacula
    Storage Daemon User:     bacula
    Storage DaemonGroup:     operator
    File Daemon User:
    File Daemon Group:

    SQL binaries Directory   /usr/local/bin

    Large file support:      yes
    Bacula conio support:    no -lreadline -lhistory -ltermcap
    readline support:        yes
    TCP Wrappers support:    yes -lwrap
    TLS support:             yes
    Encryption support:      yes
    ZLIB support:            yes
    enable-smartalloc:       yes
    enable-lockmgr:          no
    bat support:             no
    enable-gnome:            no
    enable-bwx-console:      no
    enable-tray-monitor:     no
    client-only:             no
    build-dird:              yes
    build-stored:            yes
    Plugin support:          yes
    ACL support:             yes
    XATTR support:           yes
    Python support:          no
    Batch insert enabled:    yes


===>  Building for bacula-server-5.0.0
==>Entering directory 
/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/src
==>Entering directory 
/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/scripts
==>Entering directory 
/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/src/lib
Compiling attr.c 

Compiling base64.c 

Compiling berrno.c 

Compiling bsys.c 

Compiling bget_msg.c 

Compiling bnet.c 

Compiling bnet_server.c 

Compiling runscript.c 

Compiling bsock.c 

Compiling bpipe.c 

Compiling bsnprintf.c 

Compiling btime.c 

Compiling cram-md5.c 

Compiling crc32.c 

Compiling crypto.c 

Compiling daemon.c 

Compiling edit.c 

Compiling fnmatch.c 

Compiling guid_to_name.c 

Compiling hmac.c 

Compiling jcr.c 

Compiling lex.c 

Compiling alist.c 

Compiling dlist.c 

Compiling md5.c 

Compiling message.c 

Compiling mem_pool.c 

Compiling openssl.c 

Compiling plugins.c 

Compiling priv.c 

Compiling queue.c 

Compiling bregex.c 

Compiling rwlock.c 

Compiling scan.c 

Compiling serial.c 

Compiling sha1.c 

Compiling signal.c 

Compiling smartall.c 

Compiling rblist.c 

Compiling tls.c 

Compiling tree.c 

Compiling util.c 

Compiling var.c 

Compiling watchdog.c 

Compiling workq.c 

Compiling btimers.c 

Compiling address_conf.c 

Compiling breg.c 

Compiling htable.c 

Compiling lockmgr.c 

Making libbac.la ... 

/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/libtool --silent 
--tag=CXX --mode=link /usr/bin/c++   -L/usr/local/lib -o libbac.la 
attr.lo base64.lo berrno.lo bsys.lo bget_msg.lo bnet.lo bnet_server.lo 
runscript.lo bsock.lo bpipe.lo bsnprintf.lo btime.lo cram-md5.lo 
crc32.lo crypto.lo daemon.lo edit.lo fnmatch.lo guid_to_name.lo hmac.lo 
jcr.lo lex.lo alist.lo dlist.lo md5.lo message.lo mem_pool.lo openssl.lo 
plugins.lo priv.lo queue.lo bregex.lo rwlock.lo scan.lo serial.lo 
sha1.lo signal.lo smartall.lo rblist.lo tls.lo tree.lo util.lo var.lo 
watchdog.lo workq.lo btimers.lo address_conf.lo breg.lo htable.lo 
lockmgr.lo -export-dynamic -rpath /usr/local/lib -version-info 1:0:0 
-lwrap 

Compiling parse_conf.c 
 
 

Compiling res.c 
 
 

Making libbaccfg.la ... 
 
 

/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/libtool --silent 
--tag=CXX --mode=link /usr/bin/c++   -L/usr/local/lib -o libbaccfg.la 
parse_conf.lo res.lo -export-dynamic -rpath /usr/local/lib -version-info 
1:0:0
Compiling pythonlib.c 
 
 

Making libbacpy.la ... 
 
 

/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/libtool --silent 
--tag=CXX --mode=link /usr/bin/c++   -L/usr/local/lib -o libbacpy.la 
pythonlib.lo -export-dynamic -rpath /usr/local/lib -version-info 1:0:0 

==== Make of lib is good ==== 
 
 

 
 
 

==>Entering directory 
/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/src/findlib 
 
 

Compiling find.c 
 
 

Compiling match.c 
 
 

Compiling find_one.c 
 
 

Compiling attribs.c 
 
 

Compiling create_file.c 
 
 

Compiling bfile.c 
 
 

Compiling drivetype.c 
 
 

Compiling enable_priv.c 
 
 

Compiling fstype.c 
 
 

Compiling mkpath.c 
 
 

Compiling savecwd.c 
 
 

Making libbacfind.la ... 
 
 

/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/libtool --silent 
--tag=CXX --mode=link /usr/bin/c++   -L/usr/local/lib -o libbacfind.la 
find.lo match.lo find_one.lo attribs.lo create_file.lo bfile.lo 
drivetype.lo enable_priv.lo fstype.lo mkpath.lo savecwd.lo 
-export-dynamic -rpath /usr/local/lib -version-info 1:0:0 
 
 

==== Make of findlib is good ==== 
 
 

 
 
 

==>Entering directory 
/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/src/plugins/fd 
 
 

/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/libtool --silent 
--tag=CXX --mode=compile /usr/bin/c++   -I/usr/local/include -O2 -pipe 
-O2 -D_FORTIFY_SOURCE=2 -pipe -march=native -mtune=native 
-fno-delete-null-pointer-checks -fstack-protector -fno-strict-aliasing 
-Wformat -Wformat-security -s -I../.. -I../../filed -c bpipe-fd.c 
 
 

/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/libtool --silent 
--tag=CXX --mode=link /usr/bin/c++ -L/usr/local/lib -shared bpipe-fd.lo 
-o bpipe-fd.la -rpath /usr/local/lib -module -export-dynamic 
-avoid-version
==>Entering directory 
/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/src/cats 
 
 

Compiling mysql.c 
 
 

Compiling bdb.c 
 
 

Compiling dbi.c 
 
 

Compiling sql.c 
 
 

Compiling sql_cmds.c 
 
 

Compiling sql_create.c 
 
 

Compiling sql_delete.c 
 
 

Compiling sql_find.c 
 
 

Compiling sql_get.c 
 
 

Compiling sql_list.c 
 
 

Compiling sql_update.c 
 
 

Compiling sqlite.c 
 
 

Compiling postgresql.c 
 
 

Compiling ingres.c 
 
 

Compiling myingres.c 
 
 

Compiling bvfs.c 
 
 

Making libbacsql.la ... 
 
 

/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/libtool --silent 
--tag=CXX --mode=link /usr/bin/c++   -L/usr/local/lib -o libbacsql.la 
mysql.lo bdb.lo dbi.lo sql.lo sql_cmds.lo sql_create.lo sql_delete.lo 
sql_find.lo sql_get.lo sql_list.lo sql_update.lo sqlite.lo postgresql.lo 
ingres.lo myingres.lo bvfs.lo -export-dynamic -rpath /usr/local/lib 
-version-info 1:0:0 -L/usr/local/lib -lpq -lcrypt 
 

==== Make of sqllib is good ==== 
 
 

 
 
 

==>Entering directory 
/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/src/dird 
 
 

Compiling dird.c 
 
 

Compiling admin.c 
 
 

Compiling authenticate.c 
 
 

Compiling autoprune.c 
 
 

Compiling backup.c 
 
 

Compiling bsr.c 
 
 

Compiling catreq.c 
 
 

Compiling dir_plugins.c 
 
 

Compiling dird_conf.c 
 
 

Compiling expand.c 
 
 

Compiling fd_cmds.c 
 
 

Compiling getmsg.c 
 
 

Compiling inc_conf.c 
 
 

Compiling job.c 
 
 

Compiling jobq.c 
 
 

Compiling migrate.c 
 
 

Compiling mountreq.c 
 
 

Compiling msgchan.c 
 
 

Compiling next_vol.c 
 
 

Compiling newvol.c 
 
 

Compiling pythondir.c 
 
 

Compiling recycle.c 
 
 

Compiling restore.c 
 
 

Compiling run_conf.c 
 
 

Compiling scheduler.c 
 
 

Compiling ua_acl.c 
 
 

Compiling ua_cmds.c 
 
 

Compiling ua_dotcmds.c 
 
 

Compiling ua_query.c 
 
 

Compiling ua_input.c 
 
 

Compiling ua_label.c 
 
 

Compiling ua_output.c 
 
 

Compiling ua_prune.c 
 
 

Compiling ua_purge.c 
 
 

Compiling ua_restore.c 
 
 

Compiling ua_run.c 
 
 

Compiling ua_select.c 
 
 

Compiling ua_server.c 
 
 

Compiling ua_status.c 
 
 

Compiling ua_tree.c 
 
 

Compiling ua_update.c 
 
 

Compiling vbackup.c 
 
 

Compiling verify.c 
 
 

Linking bacula-dir ... 
 
 

/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/libtool --silent 
--tag=CXX --mode=link /usr/bin/c++  -L/usr/local/lib -L../lib -L../cats 
-L../findlib -o bacula-dir dird.o admin.o authenticate.o autoprune.o 
backup.o bsr.o catreq.o dir_plugins.o dird_conf.o expand.o fd_cmds.o 
getmsg.o inc_conf.o job.o jobq.o migrate.o mountreq.o msgchan.o 
next_vol.o newvol.o pythondir.o recycle.o restore.o run_conf.o 
scheduler.o ua_acl.o ua_cmds.o ua_dotcmds.o ua_query.o ua_input.o 
ua_label.o ua_output.o ua_prune.o ua_purge.o ua_restore.o ua_run.o 
ua_select.o ua_server.o ua_status.o ua_tree.o ua_update.o vbackup.o 
verify.o  -lbacfind -lbacsql -lbacpy -lbaccfg -lbac -lm 
-L/usr/local/lib -lpq -lcrypt -lpthread  -lintl  -lwrap 
/usr/local/lib/libintl.so /usr/local/lib/libiconv.so -Wl,-rpath 
-Wl,/usr/local/lib -lssl -lcrypto 
 
 
 

/usr/bin/ld: warning: libssl.so.6, needed by /usr/local/lib/libpq.so, 
may conflict with libssl.so.7 
 

/usr/bin/ld: warning: libcrypto.so.6, needed by /usr/local/lib/libpq.so, 
may conflict with libcrypto.so.7 
 

dird.o(.text+0x226): In function `check_catalog(cat_op)': 
 
 

: undefined reference to `db_check_max_connections(JCR*, B_DB*, unsigned 
int)' 
 

dird.o(.text+0xd51): In function `check_resources()': 
 
 

: undefined reference to `store_size32(s_lex_context*, RES_ITEM*, int, 
int)' 
 

dird.o(.text+0xd81): In function `check_resources()': 
 
 

: undefined reference to `store_size64(s_lex_context*, RES_ITEM*, int, 
int)' 
 

dird.o(.text+0x1dd1): In function `main': 
 
 

: undefined reference to `prt_kaboom' 
 
 

dird.o(.text+0x1fe4): In function `main': 
 
 

: undefined reference to `drop(char*, char*, bool)' 
 
 

dird.o(.text+0x20a6): In function `main': 
 
 

: undefined reference to `db_debug_print(JCR*, __sFILE*)' 
 
 

dird.o(.text+0x216f): In function `main': 
 
 

: undefined reference to `drop(char*, char*, bool)' 
 
 

backup.o(.text+0xaf6): In function `send_accurate_current_files(JCR*)': 
 
 

: undefined reference to `db_get_base_jobid(JCR*, B_DB*, JOB_DBR*, 
unsigned int*)' 
 

backup.o(.text+0xd04): In function `send_accurate_current_files(JCR*)': 
 
 

: undefined reference to `db_create_base_file_list(JCR*, B_DB*, char*)' 
 
 

backup.o(.text+0xd1b): In function `send_accurate_current_files(JCR*)': 
 
 

: undefined reference to `db_get_base_file_list(JCR*, B_DB*, int 
(*)(void*, int, char**), void*)' 
 

backup.o(.text+0x1f69): In function `do_backup(JCR*)': 
 
 

: undefined reference to `db_commit_base_file_attributes_record(JCR*, 
B_DB*)' 
 

bsr.o(.text+0x583): In function `write_bsr(UAContext*, RESTORE_CTX&, 
__sFILE*)':
: undefined reference to `get_next_jobid_from_list(char**, unsigned int*)'
bsr.o(.text+0xec7): In function `display_bsr_info(UAContext*, 
RESTORE_CTX&)':
: undefined reference to `get_next_jobid_from_list(char**, unsigned int*)'
catreq.o(.text+0x18f): In function `update_attribute(JCR*, char*, int)':
: undefined reference to `db_create_attributes_record(JCR*, B_DB*, 
ATTR_DBR*)'
catreq.o(.text+0x47f): In function `update_attribute(JCR*, char*, int)':
: undefined reference to `db_create_attributes_record(JCR*, B_DB*, 
ATTR_DBR*)'
dird_conf.o(.data+0x730): undefined reference to 
`store_size64(s_lex_context*, RES_ITEM*, int, int)'
dird_conf.o(.data+0x2320): undefined reference to 
`store_size64(s_lex_context*, RES_ITEM*, int, int)'
dird_conf.o(.data+0x23e8): undefined reference to 
`store_size64(s_lex_context*, RES_ITEM*, int, int)'
dird_conf.o(.data+0x2410): undefined reference to 
`store_size64(s_lex_context*, RES_ITEM*, int, int)'
migrate.o(.text+0x22bc): In function `do_migration_init(JCR*)':
: undefined reference to `get_next_jobid_from_list(char**, unsigned int*)'
migrate.o(.text+0x2e1e): In function `do_migration_init(JCR*)':
: undefined reference to `get_next_jobid_from_list(char**, unsigned int*)'
ua_dotcmds.o(.text+0x722): In function `dot_bvfs_lsfiles(UAContext*, 
char const*)':
: undefined reference to `Bvfs::Bvfs(JCR*, B_DB*)'
ua_dotcmds.o(.text+0x76c): In function `dot_bvfs_lsfiles(UAContext*, 
char const*)':
: undefined reference to `Bvfs::ls_files()'
ua_dotcmds.o(.text+0x774): In function `dot_bvfs_lsfiles(UAContext*, 
char const*)':
: undefined reference to `Bvfs::~Bvfs()'
ua_dotcmds.o(.text+0x790): In function `dot_bvfs_lsfiles(UAContext*, 
char const*)':
: undefined reference to `Bvfs::ch_dir(char const*)'
ua_dotcmds.o(.text+0x79d): In function `dot_bvfs_lsfiles(UAContext*, 
char const*)':
: undefined reference to `Bvfs::~Bvfs()'
ua_dotcmds.o(.text+0x946): In function `bvfs_result_handler(void*, int, 
char**)':
: undefined reference to `bvfs_basename_dir(char*)'
ua_dotcmds.o(.text+0x1192): In function `dot_bvfs_lsdirs(UAContext*, 
char const*)':
: undefined reference to `Bvfs::Bvfs(JCR*, B_DB*)'
ua_dotcmds.o(.text+0x11dc): In function `dot_bvfs_lsdirs(UAContext*, 
char const*)':
: undefined reference to `Bvfs::ls_special_dirs()'
ua_dotcmds.o(.text+0x11e4): In function `dot_bvfs_lsdirs(UAContext*, 
char const*)':
: undefined reference to `Bvfs::ls_dirs()'
ua_dotcmds.o(.text+0x11ec): In function `dot_bvfs_lsdirs(UAContext*, 
char const*)':
: undefined reference to `Bvfs::~Bvfs()'
ua_dotcmds.o(.text+0x1209): In function `dot_bvfs_lsdirs(UAContext*, 
char const*)':
: undefined reference to `Bvfs::ch_dir(char const*)'
ua_dotcmds.o(.text+0x1216): In function `dot_bvfs_lsdirs(UAContext*, 
char const*)':
: undefined reference to `Bvfs::~Bvfs()'
ua_dotcmds.o(.text+0x190f): In function `dot_bvfs_update(UAContext*, 
char const*)':
: undefined reference to `bvfs_update_cache(JCR*, B_DB*)'
ua_dotcmds.o(.text+0x194d): In function `dot_bvfs_update(UAContext*, 
char const*)':
: undefined reference to `bvfs_update_path_hierarchy_cache(JCR*, B_DB*, 
char*)'
ua_output.o(.text+0x14b0): In function `do_list_cmd(UAContext*, char 
const*, e_list_type)':
: undefined reference to `db_list_base_files_for_job(JCR*, B_DB*, 
unsigned int, void (*)(void*, char const*), void*)'
ua_restore.o(.text+0x18f3): In function 
`user_select_jobids_or_files(UAContext*, RESTORE_CTX*)':
: undefined reference to `get_next_jobid_from_list(char**, unsigned int*)'
ua_restore.o(.text+0x2bc0): In function `restore_cmd(UAContext*, char 
const*)':
: undefined reference to `db_get_used_base_jobids(JCR*, B_DB*, char*, 
db_list_ctx*)'
ua_restore.o(.text+0x2c01): In function `restore_cmd(UAContext*, char 
const*)':
: undefined reference to `uar_print_jobs'
ua_restore.o(.text+0x2cf0): In function `restore_cmd(UAContext*, char 
const*)':
: undefined reference to `get_next_jobid_from_list(char**, unsigned int*)'
ua_restore.o(.text+0x2e09): In function `restore_cmd(UAContext*, char 
const*)':
: undefined reference to `get_next_jobid_from_list(char**, unsigned int*)'
ua_update.o(.text+0x11ca): In function 
`update_vol_actiononpurge(UAContext*, char*, MEDIA_DBR*)':
: undefined reference to `aop_to_str(int, POOL_MEM&)'
ua_update.o(.text+0x1f44): In function `update_volume(UAContext*)':
: undefined reference to `aop_to_str(int, POOL_MEM&)'
*** Error code 1

Stop in /usr/ports/sysutils/bacula-server/work/bacula-5.0.0/src/dird.


   ====== Error in 
/usr/ports/sysutils/bacula-server/work/bacula-5.0.0/src/dird ======


*** Error code 1

Stop in /usr/ports/sysutils/bacula-server/work/bacula-5.0.0.
*** Error code 1

Stop in /usr/ports/sysutils/bacula-server.
*** Error code 1

Stop in /usr/ports/sysutils/bacula-server.






-- 
  Best regards, Andrei V. Lavreniyuk.
Comment 7 Dan Langille 2010-01-26 12:04:15 UTC
Andrei V. Lavreniyuk wrote:

>  > OH, and do you have any existing Bacula ports/packages on this system?
> 
> 
> # pkg_info -E bacul\*
> bacula-client-3.0.3
> bacula-docs-3.0.3
> bacula-server-3.0.3

That is the problem.  Solution: pkg_delete bacula-* first.

FYI: http://marc.info/?l=bacula-devel&m=126442920415150&w=2
Comment 8 Dan Langille 2010-01-26 12:06:16 UTC
We need to apply this patch:

   http://marc.info/?l=bacula-devel&m=126442920415150&w=2

I'll update the PR with a fresh patch to the port.
Comment 9 Dan Langille 2010-01-26 13:28:31 UTC
That is the wrong patch URL. It should be:

  http://bugs.bacula.org/view.php?id=1466
Comment 10 Dan Langille 2010-01-26 14:07:54 UTC
Please use the attached patches:

- one fixes a recently found bug
- the other adds an entry to UPDATING
Comment 11 Dan Langille 2010-02-03 16:35:28 UTC
This latest submission contains two patches for recent problems found
upstream but not yet released.  Please apply this patch and the one to
UPDATING, already submitted.


-- 
Dan Langille -- http://langille.org/
Comment 12 Jonathan Noack 2010-02-10 23:05:29 UTC
Note that bacula-dir.conf is installed without the ".new" extension for
fresh installs.  The chgrp on line 289 of the patched Makefile fails
because the file doesn't exist, resulting in the failure of the whole
install:
/usr/bin/chgrp bacula /usr/local/etc/bacula-dir.conf.new
chgrp: /usr/local/etc/bacula-dir.conf.new: No such file or directory
*** Error code 1

Stop in /usr/ports/sysutils/bacula-server.
*** Error code 1

Stop in /usr/ports/sysutils/bacula-server.
*** Error code 1

Stop in /usr/ports/sysutils/bacula-server.

-Jon
Comment 13 Dan Langille 2010-02-11 00:32:08 UTC
Good find.  Thank you.  This new patch solves that.

Comment 14 Martin Wilke freebsd_committer 2010-02-12 14:19:52 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 15 dfilter service freebsd_committer 2010-02-12 14:20:44 UTC
miwi        2010-02-12 14:20:04 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/bacula-server Makefile distinfo pkg-plist 
                           pkg-plist.client 
    sysutils/bacula-server/files pkg-message.server.in 
  Added files:
    sysutils/bacula-server/files 
                                 patch-bacula-src-cats-make_catalog_backup.pl.in 
                                 patch-src-cats-update_postgresql_tables.in 
                                 patch-src-dird-ua_prune.c 
  Log:
  - Update to 5.0.0
  
  PR:             143214
  Submitted by:   Dan Langille <dan@langille.org> (maintainer)
  
  Revision  Changes    Path
  1.123     +12 -37    ports/sysutils/bacula-server/Makefile
  1.51      +3 -3      ports/sysutils/bacula-server/distinfo
  1.1       +14 -0     ports/sysutils/bacula-server/files/patch-bacula-src-cats-make_catalog_backup.pl.in (new)
  1.1       +11 -0     ports/sysutils/bacula-server/files/patch-src-cats-update_postgresql_tables.in (new)
  1.1       +11 -0     ports/sysutils/bacula-server/files/patch-src-dird-ua_prune.c (new)
  1.4       +10 -2     ports/sysutils/bacula-server/files/pkg-message.server.in
  1.24      +3 -2      ports/sysutils/bacula-server/pkg-plist
  1.10      +0 -1      ports/sysutils/bacula-server/pkg-plist.client
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 16 Lars Engels 2010-02-16 18:54:52 UTC
I just committed the UPDATING entry.


-- 
Lars Engels
E-Mail: lars.engels@0x20.net